# Hexo Configuration
## Docs: https://hexo.io/docs/configuration.html
## Source: https://github.com/hexojs/hexo/

# Site
title: Fediverse
subtitle:
description: Fediverse WIKI
author: lostinlight
language:
  - en
timezone:

# URL
url: https://fediverse.gitlab.io
root: /
permalink: :lang/:layout/:title/
permalink_defaults:

# Directory
source_dir: source
public_dir: public
tag_dir: tags
archive_dir: chronicles
category_dir: categories
code_dir: downloads/code
i18n_dir: :lang
skip_render:

# Writing
new_post_name: :title.md # File name of new posts
default_layout: post
titlecase: false # Transform title into titlecase
external_link: true # Open external links in new tab
filename_case: 0
render_drafts: false
post_asset_folder: true
relative_link: false
future: true
highlight:
  enable: true
  line_number: true
  auto_detect: false
  tab_replace:

# Category & Tag
default_category: uncategorized
category_map:
tag_map:

# Date / Time format
## Hexo uses Moment.js to parse and display date
## You can customize the date format as defined in
## http://momentjs.com/docs/#/displaying/format/
date_format: DD-MM-YY
time_format: HH:mm:ss

# Pagination
## Set per_page to 0 to disable pagination
per_page: 22
pagination_dir: page

# Extensions
theme: starter

# Deployment
## Docs: https://hexo.io/docs/deployment.html
deploy:
  type:

# Site settings
ogImage: tile.png

# Plugins
nofollow:
  enable: true
  include:
    noreferrer: true
    noopener: true

html_minifier:
  exclude:
  keepClosingSlash: true
  removeComments: true
  collapseWhitespace: true

feed:
  type: atom
  path: atom.xml
  limit: 42
  hub:
  content: true
